<?php

namespace Drupal\entity_bundle\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'entity_bundle_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "entity_bundle_formatter",
 *   label = @Translation("Entity Bundle Formatter"),
 *   field_types = {
 *     "entity_bundle"
 *   }
 * )
 */
class EntityBundleFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    return [];
  }

}
